package com.alterdekim;

import lombok.extern.slf4j.Slf4j;


@Slf4j
public class Main {

   // public static void main(String[] args) {
   //       new Server(1119).startListening();
       /* System.out.println(Util.bytesToHex(exampleProtocol.Test.newBuilder()
                .setA(9999)
                .setB("testing")
                .setC(7777)
                .build().toByteArray()));*/

    /*    Scanner scanner = new Scanner(System.in);
        String s = "";
        while ((s = scanner.nextLine()) != null) {
            try {
                byte[] arr = Util.hexStringToByteArray(s);
                int offset = 0;
                while (offset < arr.length) {
                    BattleNetPacket bp = new BattleNetPacket();
                    offset += bp.Decode(arr, offset, arr.length);
                    log.warn(offset + " " + arr.length);
                    log.info(bp.getHeader().toString());
                    log.info("Body.Length = " + bp.getBody().length);
                    log.info(Util.bytesToHex(bp.getBody()));
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }*/
  //  }
}